Altibase.jdbc.driver.cm

## Class CmProtocolContextDirExec

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmProtocolContextDirExec

Direct Known Subclasses:
  CmProtocolContextPrepExec

    public class CmProtocolContextDirExec
    extends CmProtocolContext

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContextDirExec(CmChannel aChannel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDeferredRequest(java.util.Map<java.lang.String,java.lang.Object> aMethodInfo)`
`void` `clearDeferredRequests()`
`java.util.List<java.util.Map<java.lang.String,java.lang.Object>>` `getDeferredRequests()`
`CmExecutionResult` `getExecutionResult()`
`CmFetchResult` `getFetchResult()`
`CmGetBindParamInfoResult` `getGetBindParamInfoResult()`
`CmGetColumnInfoResult` `getGetColumnInfoResult()`
`CmGetPlanResult` `getGetPlanResult()`
`CmPrepareResult` `getPrepareResult()`
`void` `setResultSetId(short aResultSetId)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, channel, clearCmResult, clearError, getCmResult, getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmProtocolContextDirExec

    public CmProtocolContextDirExec(CmChannel aChannel)

### Method Detail

#### getPrepareResult

    public CmPrepareResult getPrepareResult()

#### getGetColumnInfoResult

    public CmGetColumnInfoResult getGetColumnInfoResult()

#### getExecutionResult

    public CmExecutionResult getExecutionResult()

#### getFetchResult

    public CmFetchResult getFetchResult()

#### getGetPlanResult

    public CmGetPlanResult getGetPlanResult()

#### getGetBindParamInfoResult

    public CmGetBindParamInfoResult getGetBindParamInfoResult()

#### setResultSetId

    public void setResultSetId(short aResultSetId)

#### addDeferredRequest

    public void addDeferredRequest(java.util.Map<java.lang.String,java.lang.Object> aMethodInfo)

#### getDeferredRequests

    public java.util.List<java.util.Map<java.lang.String,java.lang.Object>> getDeferredRequests()

#### clearDeferredRequests

    public void clearDeferredRequests()